_G.vgg = _G.vgg or {}
vgg._path = ModPath
vgg._data_path = SavePath .. "vgg_data.txt"
vgg._data = {}


function vgg:Save()
	local file = io.open( self._data_path, "w+" )
	if file then
		file:write( json.encode( self._data ) )
		file:close()
	end
end
function vgg:Load()
	local file = io.open( self._data_path, "r" )
	if file then
		self._data = json.decode( file:read("*all") )
		file:close()
	end
end

if ModCore then
	ModCore:new( vgg._path .. "update.xml", false, true):init_modules()
end

Hooks:Add( "MenuManagerInitialize", "MenuManagerInitialize_vgg", function( menu_manager )
	MenuCallbackHandler.callback_vggtoggle = function(self, item)
		vgg._data.vggtoggle = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_showweapon = function(self, item)
		vgg._data.showweapon = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_package = function(self, item)
		vgg._data.package = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_loudrep = function(self, item)
		vgg._data.loudrep = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_stealthrep = function(self, item)
		vgg._data.stealthrep = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_civrep = function(self, item)
		vgg._data.civrep = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_pagerscript = function(self, item)
		vgg._data.pagerscript = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_pagerciv = function(self, item)
		vgg._data.pagerciv = (item:value() == "on" and true or false)
		vgg:Save()
	end
	--
	MenuCallbackHandler.callback_ene_shadow_cloaker_1 = function(self, item)
		vgg._data.ene_shadow_cloaker_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_shadow_cloaker_2 = function(self, item)
		vgg._data.ene_shadow_cloaker_2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	-- Vanilla Murky
	MenuCallbackHandler.callback_ene_murkywater_secret_service = function(self, item)
		vgg._data.ene_murkywater_secret_service = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_cloaker = function(self, item)
		vgg._data.ene_murkywater_cloaker = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_medic = function(self, item)
		vgg._data.ene_murkywater_medic = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_tazer = function(self, item)
		vgg._data.ene_murkywater_tazer = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_shield = function(self, item)
		vgg._data.ene_murkywater_shield = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_light = function(self, item)
		vgg._data.ene_murkywater_light = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_male_bain = function(self, item)
		vgg._data.ene_male_bain = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_sniper = function(self, item)
		vgg._data.ene_murkywater_sniper = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_heavy_shotgun = function(self, item)
		vgg._data.ene_murkywater_heavy_shotgun = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_heavy_g36 = function(self, item)
		vgg._data.ene_murkywater_heavy_g36 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_heavy = function(self, item)
		vgg._data.ene_murkywater_heavy = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_bulldozer_1 = function(self, item)
		vgg._data.ene_murkywater_bulldozer_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_bulldozer_2 = function(self, item)
		vgg._data.ene_murkywater_bulldozer_2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_bulldozer_3 = function(self, item)
		vgg._data.ene_murkywater_bulldozer_3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_bulldozer_4 = function(self, item)
		vgg._data.ene_murkywater_bulldozer_4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murkywater_bulldozer_medic = function(self, item)
		vgg._data.ene_murkywater_bulldozer_medic = (item:value() == "on" and true or false)
		vgg:Save()
	end
	--
	MenuCallbackHandler.callback_bulldozer_med = function(self, item)
		vgg._data.bulldozer_med = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer_med = function(self, item)
		vgg._data.bulldozer_med = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer_min = function(self, item)
		vgg._data.bulldozer_min = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer_min2 = function(self, item)
		vgg._data.bulldozer_min2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer1 = function(self, item)
		vgg._data.bulldozer1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer2 = function(self, item)
		vgg._data.bulldozer2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer3 = function(self, item)
		vgg._data.bulldozer3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer4 = function(self, item)
		vgg._data.bulldozer4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer_zeal1 = function(self, item)
		vgg._data.bulldozer_zeal1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer_zeal2 = function(self, item)
		vgg._data.bulldozer_zeal2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer_zeal3 = function(self, item)
		vgg._data.bulldozer_zeal3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer_zeal4 = function(self, item)
		vgg._data.bulldozer_zeal4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer_r870 = function(self, item)
		vgg._data.bulldozer_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer_rpk = function(self, item)
		vgg._data.bulldozer_rpk = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bulldozer_saiga = function(self, item)
		vgg._data.bulldozer_saiga = (item:value() == "on" and true or false)
		vgg:Save()
	end	
	MenuCallbackHandler.callback_shield1 = function(self, item)
		vgg._data.shield1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_shield2 = function(self, item)
		vgg._data.shield2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zealshield = function(self, item)
		vgg._data.zealshield = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_shield_akan_dw_smg = function(self, item)
		vgg._data.shield_akan_dw_smg = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_shield_akan_smg = function(self, item)
		vgg._data.shield_akan_smg = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_shield_akan_c45 = function(self, item)
		vgg._data.shield_akan_c45 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_shield_city = function(self, item)
		vgg._data.shield_city = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_phalanx = function(self, item)
		vgg._data.phalanx = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_vip = function(self, item)
		vgg._data.vip = (item:value() == "on" and true or false)
		vgg:Save()
	end

	MenuCallbackHandler.callback_sniper1 = function(self, item)
		vgg._data.sniper1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sniper2 = function(self, item)
		vgg._data.sniper2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sniper3 = function(self, item)
		vgg._data.sniper3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sniper_svd = function(self, item)
		vgg._data.sniper_svd = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sniper_zeal = function(self, item)
		vgg._data.sniper_zeal = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_cloak = function(self, item)
		vgg._data.cloak = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_cloak_zeal = function(self, item)
		vgg._data.cloak_zeal = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_cloak_asval = function(self, item)
		vgg._data.cloak_asval = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_tazer = function(self, item)
		vgg._data.tazer = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_tazer_ak47 = function(self, item)
		vgg._data.tazer_ak47 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_tazer_zeal = function(self, item)
		vgg._data.tazer_zeal = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_medic_m4 = function(self, item)
		vgg._data.medic_m4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_medic_r870 = function(self, item)
		vgg._data.medic_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_akan_medic_m4 = function(self, item)
		vgg._data.akan_medic_m4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_akan_medic_r870 = function(self, item)
		vgg._data.akan_medic_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_biker1 = function(self, item)
		vgg._data.biker1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_biker2 = function(self, item)
		vgg._data.biker2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_biker3 = function(self, item)
		vgg._data.biker3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_biker4 = function(self, item)
		vgg._data.biker4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bikerboss = function(self, item)
		vgg._data.bikerboss = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bikerfem1 = function(self, item)
		vgg._data.bikerfem1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bikerfem2 = function(self, item)
		vgg._data.bikerfem2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bikerfem3 = function(self, item)
		vgg._data.bikerfem3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sosa = function(self, item)
		vgg._data.sosa = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sosamanager = function(self, item)
		vgg._data.sosamanager = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sosaind1 = function(self, item)
		vgg._data.sosaind1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sosaind2 = function(self, item)
		vgg._data.sosaind2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sosaind3 = function(self, item)
		vgg._data.sosaind3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sosaind4 = function(self, item)
		vgg._data.sosaind4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sosastealth = function(self, item)
		vgg._data.sosastealth = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sosaout1 = function(self, item)
		vgg._data.sosaout1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sosaout2 = function(self, item)
		vgg._data.sosaout2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_mobster1 = function(self, item)
		vgg._data.mobster1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_mobster2 = function(self, item)
		vgg._data.mobster2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_mobster3 = function(self, item)
		vgg._data.mobster3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_mobster4 = function(self, item)
		vgg._data.mobster4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_mobster_boss = function(self, item)
		vgg._data.mobster_boss = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard1 = function(self, item)
		vgg._data.guard1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard2 = function(self, item)
		vgg._data.guard2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard3 = function(self, item)
		vgg._data.guard3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard4 = function(self, item)
		vgg._data.guard4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard5 = function(self, item)
		vgg._data.guard5 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard6 = function(self, item)
		vgg._data.guard6 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard7 = function(self, item)
		vgg._data.guard7 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard8 = function(self, item)
		vgg._data.guard8 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard_gen1 = function(self, item)
		vgg._data.guard_gen1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard_gen2 = function(self, item)
		vgg._data.guard_gen2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard_ggc = function(self, item)
		vgg._data.guard_ggc = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard_arena1 = function(self, item)
		vgg._data.guard_arena1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard_arena2 = function(self, item)
		vgg._data.guard_arena2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard_fbi1 = function(self, item)
		vgg._data.guard_fbi1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_guard_fbi2 = function(self, item)
		vgg._data.guard_fbi2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_murky1 = function(self, item)
		vgg._data.murky1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_murky2 = function(self, item)
		vgg._data.murky2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_murkyday = function(self, item)
		vgg._data.murkyday = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_locke = function(self, item)
		vgg._data.locke = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_prisonfem = function(self, item)
		vgg._data.prisonfem = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_prisonmal = function(self, item)
		vgg._data.prisonmal = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_hoxton1 = function(self, item)
		vgg._data.hoxton1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_office1 = function(self, item)
		vgg._data.office1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_office2 = function(self, item)
		vgg._data.office2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_office3 = function(self, item)
		vgg._data.office3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_office4 = function(self, item)
		vgg._data.office4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_hoxton2 = function(self, item)
		vgg._data.hoxton2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_hector1 = function(self, item)
		vgg._data.hector1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_hector2 = function(self, item)
		vgg._data.hector2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_hecguard1 = function(self, item)
		vgg._data.hecguard1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_hecguard2 = function(self, item)
		vgg._data.hecguard2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_russian1 = function(self, item)
		vgg._data.russian1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_russian2 = function(self, item)
		vgg._data.russian2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_russian3 = function(self, item)
		vgg._data.russian3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_russian4 = function(self, item)
		vgg._data.russian4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_russian5 = function(self, item)
		vgg._data.russian5 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_black1 = function(self, item)
		vgg._data.black1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_black2 = function(self, item)
		vgg._data.black2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_black3 = function(self, item)
		vgg._data.black3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_black4 = function(self, item)
		vgg._data.black4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_mex1 = function(self, item)
		vgg._data.mex1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_mex2 = function(self, item)
		vgg._data.mex2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_mex3 = function(self, item)
		vgg._data.mex3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_mex4 = function(self, item)
		vgg._data.mex4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_chavez = function(self, item)
		vgg._data.chavez = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_chavezbuddy = function(self, item)
		vgg._data.chavezbuddy = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_cop1 = function(self, item)
		vgg._data.cop1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_cop2 = function(self, item)
		vgg._data.cop2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_cop3 = function(self, item)
		vgg._data.cop3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_cop4 = function(self, item)
		vgg._data.cop4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_cop_ak47 = function(self, item)
		vgg._data.cop_ak47 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_cop_akmsu = function(self, item)
		vgg._data.cop_akmsu = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_cop_asval = function(self, item)
		vgg._data.cop_asval = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_cop_r870 = function(self, item)
		vgg._data.cop_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_fbi1 = function(self, item)
		vgg._data.fbi1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_fbi2 = function(self, item)
		vgg._data.fbi2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_fbi3 = function(self, item)
		vgg._data.fbi3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_fbi_boss = function(self, item)
		vgg._data.fbi_boss = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_fbifem1 = function(self, item)
		vgg._data.fbifem1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_fbifem2 = function(self, item)
		vgg._data.fbifem2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_fbifem3 = function(self, item)
		vgg._data.fbifem3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_fbifem4 = function(self, item)
		vgg._data.fbifem4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_blue1 = function(self, item)
		vgg._data.blue1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_blue2 = function(self, item)
		vgg._data.blue2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_blue_heavy = function(self, item)
		vgg._data.blue_heavy = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_green_heavy = function(self, item)
		vgg._data.green_heavy = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_green1 = function(self, item)
		vgg._data.green1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_green2 = function(self, item)
		vgg._data.green2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_green_heavy_r870 = function(self, item)
		vgg._data.green_heavy_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_green_sm_g36 = function(self, item)
		vgg._data.green_sm_g36 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_green_sm_r870 = function(self, item)
		vgg._data.green_sm_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_akan_fbi_g36 = function(self, item)
		vgg._data.akan_fbi_g36 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_akan_fbi_ak47 = function(self, item)
		vgg._data.akan_fbi_ak47 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_akan_fbi_r870 = function(self, item)
		vgg._data.akan_fbi_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_white1 = function(self, item)
		vgg._data.white1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_white2 = function(self, item)
		vgg._data.white2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_white3 = function(self, item)
		vgg._data.white3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_white_sm_g36 = function(self, item)
		vgg._data.white_sm_g36 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_white_sm_r870 = function(self, item)
		vgg._data.white_sm_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_white_heavy_g36 = function(self, item)
		vgg._data.white_heavy_g36 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_white_heavy_r870 = function(self, item)
		vgg._data.white_heavy_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_akan_cs_heavy_ak47 = function(self, item)
		vgg._data.akan_cs_heavy_ak47 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_akan_dw_ak47 = function(self, item)
		vgg._data.akan_dw_ak47 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_akan_dw_r870 = function(self, item)
		vgg._data.akan_dw_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_akan_cs_ak47 = function(self, item)
		vgg._data.akan_cs_ak47 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_akan_cs_r870 = function(self, item)
		vgg._data.akan_cs_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zeal = function(self, item)
		vgg._data.zeal = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zeal_heavy = function(self, item)
		vgg._data.zeal_heavy = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_charon = function(self, item)
		vgg._data.charon = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sec1_dom = function(self, item)
		vgg._data.sec1_dom = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sec2_dom = function(self, item)
		vgg._data.sec2_dom = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sec3_dom = function(self, item)
		vgg._data.sec3_dom = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_secser_dom = function(self, item)
		vgg._data.secser_dom = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_godcop = function(self, item)
		vgg._data.godcop = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwdhs1 = function(self, item)
		vgg._data.nwdhs1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwdhs2 = function(self, item)
		vgg._data.nwdhs2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwdhs3 = function(self, item)
		vgg._data.nwdhs3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwdhs4 = function(self, item)
		vgg._data.nwdhs4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwwhite4 = function(self, item)
		vgg._data.nwwhite4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwfbi4 = function(self, item)
		vgg._data.nwfbi4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwfbi5 = function(self, item)
		vgg._data.nwfbi5 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwfisher = function(self, item)
		vgg._data.nwfisher = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwgunner1 = function(self, item)
		vgg._data.nwgunner1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwgunner2 = function(self, item)
		vgg._data.nwgunner2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwsgt = function(self, item)
		vgg._data.nwsgt = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwsniper1 = function(self, item)
		vgg._data.nwsniper1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwsniper2 = function(self, item)
		vgg._data.nwsniper2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwheavymed = function(self, item)
		vgg._data.nwheavymed = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwheavycloak = function(self, item)
		vgg._data.nwheavycloak = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwgunner3 = function(self, item)
		vgg._data.nwgunner3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwtaser1 = function(self, item)
		vgg._data.nwtaser1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwtaser2 = function(self, item)
		vgg._data.nwtaser2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwmedic1 = function(self, item)
		vgg._data.nwmedic1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_nwmedic2 = function(self, item)
		vgg._data.nwmedic2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thcop1 = function(self, item)
		vgg._data.thcop1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thcop2 = function(self, item)
		vgg._data.thcop2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thcop3 = function(self, item)
		vgg._data.thcop3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thfbi1 = function(self, item)
		vgg._data.thfbi1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thfbi2 = function(self, item)
		vgg._data.thfbi2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thfbi3 = function(self, item)
		vgg._data.thfbi3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thmurky1 = function(self, item)
		vgg._data.thmurky1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thmurky2 = function(self, item)
		vgg._data.thmurky2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thguard1 = function(self, item)
		vgg._data.thguard1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thguard2 = function(self, item)
		vgg._data.thguard2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thshield = function(self, item)
		vgg._data.thshield = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thsniper = function(self, item)
		vgg._data.thsniper = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thcloak = function(self, item)
		vgg._data.thcloak = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thswat1 = function(self, item)
		vgg._data.thswat1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thswatkev1 = function(self, item)
		vgg._data.thswatkev1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thswatkev2 = function(self, item)
		vgg._data.thswatkev2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thswat2 = function(self, item)
		vgg._data.thswat2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thswat3 = function(self, item)
		vgg._data.thswat3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thbull = function(self, item)
		vgg._data.thbull = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_thtaser = function(self, item)
		vgg._data.thtaser = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwbull5 = function(self, item)
		vgg._data.dwbull5 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwbull6 = function(self, item)
		vgg._data.dwbull6 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwbull7 = function(self, item)
		vgg._data.dwbull7 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwwhite4 = function(self, item)
		vgg._data.dwwhite4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwfbi4 = function(self, item)
		vgg._data.dwfbi4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwphalanx = function(self, item)
		vgg._data.dwphalanx = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwtaser = function(self, item)
		vgg._data.dwtaser = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwzealben = function(self, item)
		vgg._data.dwzealben = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwzealjp36 = function(self, item)
		vgg._data.dwzealjp36 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwzealscar = function(self, item)
		vgg._data.dwzealscar = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwzealump = function(self, item)
		vgg._data.dwzealump = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwphalanx_zeal = function(self, item)
		vgg._data.dwphalanx_zeal = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwzealdoz_ben = function(self, item)
		vgg._data.dwzealdoz_ben = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwzealdoz_ksp = function(self, item)
		vgg._data.dwzealdoz_ksp = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwzealdoz_saiga = function(self, item)
		vgg._data.dwzealdoz_saiga = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_dwzealdoz_titan = function(self, item)
		vgg._data.dwzealdoz_titan = (item:value() == "on" and true or false)
		vgg:Save()
	end
	
	MenuCallbackHandler.callback_scbull_hw = function(self, item)
		vgg._data.scbull_hw = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sccivilcop = function(self, item)
		vgg._data.sccivilcop = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scfbi3 = function(self, item)
		vgg._data.scfbi3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scboom = function(self, item)
		vgg._data.scboom = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scmedicmp5 = function(self, item)
		vgg._data.scmedicmp5 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scshield_gen = function(self, item)
		vgg._data.scshield_gen = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scveteran1 = function(self, item)
		vgg._data.scveteran1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scveteran2 = function(self, item)
		vgg._data.scveteran2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sczeal_city1 = function(self, item)
		vgg._data.sczeal_city1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scshield_heavyzeal = function(self, item)
		vgg._data.scshield_heavyzeal = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scakan_zeal = function(self, item)
		vgg._data.scakan_zeal = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scakan_fbi1 = function(self, item)
		vgg._data.scakan_fbi1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scakan_fbi2 = function(self, item)
		vgg._data.scakan_fbi2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scakan_heavdw1 = function(self, item)
		vgg._data.scakan_heavdw1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scakan_heavdw2 = function(self, item)
		vgg._data.scakan_heavdw2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scakan_dw1 = function(self, item)
		vgg._data.scakan_dw1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scakan_dw2 = function(self, item)
		vgg._data.scakan_dw2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scakan_boom = function(self, item)
		vgg._data.scakan_boom = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scakan_medm4 = function(self, item)
		vgg._data.scakan_medm4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scakan_medr880 = function(self, item)
		vgg._data.scakan_medr880 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scakan_veteran = function(self, item)
		vgg._data.scakan_veteran = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scakan_veteran2 = function(self, item)
		vgg._data.scakan_veteran2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sconmia = function(self, item)
		vgg._data.sconmia = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scboss_boom = function(self, item)
		vgg._data.scboss_boom = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scboss_medic = function(self, item)
		vgg._data.scboss_medic = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scboss_taser = function(self, item)
		vgg._data.scboss_taser = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scboss_minigun = function(self, item)
		vgg._data.scboss_minigun = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scboss_fire = function(self, item)
		vgg._data.scboss_fire = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sctitan = function(self, item)
		vgg._data.sctitan = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scboss_vip2 = function(self, item)
		vgg._data.scboss_vip2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	
	MenuCallbackHandler.callback_scphalanx = function(self, item)
		vgg._data.scphalanx = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sctitan_rifle = function(self, item)
		vgg._data.sctitan_rifle = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scvip2 = function(self, item)
		vgg._data.scvip2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bullbiker = function(self, item)
		vgg._data.bullbiker = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_bikerguard = function(self, item)
		vgg._data.bikerguard = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scfbi3_sc = function(self, item)
		vgg._data.scfbi3_sc = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sccloak = function(self, item)
		vgg._data.sccloak = (item:value() == "on" and true or false)
		vgg:Save()
	end
	
	MenuCallbackHandler.callback_scfbititan = function(self, item)
		vgg._data.scfbititan = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sctitan_sniper = function(self, item)
		vgg._data.sctitan_sniper = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scomnia_city = function(self, item)
		vgg._data.scomnia_city = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_sc_omniaheavy = function(self, item)
		vgg._data.sc_omniaheavy = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_scboom2 = function(self, item)
		vgg._data.scboom2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	
	--Murky Update
	MenuCallbackHandler.callback_ene_murky_city_bnl = function(self, item)
		vgg._data.ene_murky_city_bnl = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_city_m4 = function(self, item)
		vgg._data.ene_murky_city_m4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_city_ump = function(self, item)
		vgg._data.ene_murky_city_ump = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_cs_cop_c45 = function(self, item)
		vgg._data.ene_murky_cs_cop_c45 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_cs_cop_mp5 = function(self, item)
		vgg._data.ene_murky_cs_cop_mp5 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_cs_cop_r870 = function(self, item)
		vgg._data.ene_murky_cs_cop_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_cs_cop_raging_bull = function(self, item)
		vgg._data.ene_murky_cs_cop_raging_bull = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_fbi_heavy_m4 = function(self, item)
		vgg._data.ene_murky_fbi_heavy_m4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_fbi_heavy_r870 = function(self, item)
		vgg._data.ene_murky_fbi_heavy_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_fbi_tank_m249 = function(self, item)
		vgg._data.ene_murky_fbi_tank_m249 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_fbi_tank_r870 = function(self, item)
		vgg._data.ene_murky_fbi_tank_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_fbi_tank_saiga = function(self, item)
		vgg._data.ene_murky_fbi_tank_saiga = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_heavy_m4 = function(self, item)
		vgg._data.ene_murky_heavy_m4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_heavy_r870 = function(self, item)
		vgg._data.ene_murky_heavy_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_heavy_ump = function(self, item)
		vgg._data.ene_murky_heavy_ump = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_hrt_1 = function(self, item)
		vgg._data.ene_murky_hrt_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_hrt_2 = function(self, item)
		vgg._data.ene_murky_hrt_2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_medic_m4 = function(self, item)
		vgg._data.ene_murky_medic_m4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_medic_r870 = function(self, item)
		vgg._data.ene_murky_medic_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_shield_fbi = function(self, item)
		vgg._data.ene_murky_shield_fbi = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_shield_yellow = function(self, item)
		vgg._data.ene_murky_shield_yellow = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_sniper = function(self, item)
		vgg._data.ene_murky_sniper = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_spook = function(self, item)
		vgg._data.ene_murky_spook = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_swat_m4 = function(self, item)
		vgg._data.ene_murky_swat_m4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_swat_r870 = function(self, item)
		vgg._data.ene_murky_swat_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_tazer = function(self, item)
		vgg._data.ene_murky_tazer = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_yellow_m4 = function(self, item)
		vgg._data.ene_murky_yellow_m4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_murky_yellow_r870 = function(self, item)
		vgg._data.ene_murky_yellow_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	--alaska
	MenuCallbackHandler.callback_shipfem = function(self, item)
		vgg._data.shipfem = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_shipmal1 = function(self, item)
		vgg._data.shipmal1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_shipmal2 = function(self, item)
		vgg._data.shipmal2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_captain = function(self, item)
		vgg._data.captain = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_shiplocke = function(self, item)
		vgg._data.shiplocke = (item:value() == "on" and true or false)
		vgg:Save()
	end
	--zombie
	MenuCallbackHandler.callback_zomcop1 = function(self, item)
		vgg._data.zomcop1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomcop2 = function(self, item)
		vgg._data.zomcop2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomcop3 = function(self, item)
		vgg._data.zomcop3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomcop4 = function(self, item)
		vgg._data.zomcop4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomswat1 = function(self, item)
		vgg._data.zomswat1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomswat2 = function(self, item)
		vgg._data.zomswat2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomfbi1 = function(self, item)
		vgg._data.zomfbi1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomfbi2 = function(self, item)
		vgg._data.zomfbi2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomfbi3 = function(self, item)
		vgg._data.zomfbi3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomcloak = function(self, item)
		vgg._data.zomcloak = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomswat_heavy_1 = function(self, item)
		vgg._data.zomswat_heavy_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomswat_heavy_2 = function(self, item)
		vgg._data.zomswat_heavy_2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomtazer = function(self, item)
		vgg._data.zomtazer = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomshield1 = function(self, item)
		vgg._data.zomshield1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomshield2 = function(self, item)
		vgg._data.zomshield2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zommed1 = function(self, item)
		vgg._data.zommed1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zommed2 = function(self, item)
		vgg._data.zommed2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zombull1 = function(self, item)
		vgg._data.zombull1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zombull2 = function(self, item)
		vgg._data.zombull2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zombull3 = function(self, item)
		vgg._data.zombull3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomfbiswat1 = function(self, item)
		vgg._data.zomfbiswat1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomfbiswat2 = function(self, item)
		vgg._data.zomfbiswat2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomfbiswat_heavy1 = function(self, item)
		vgg._data.zomfbiswat_heavy1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomfbiswat_heavy2 = function(self, item)
		vgg._data.zomfbiswat_heavy2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_zomsniper = function(self, item)
		vgg._data.zomsniper = (item:value() == "on" and true or false)
		vgg:Save()
	end
	--dogs
	MenuCallbackHandler.callback_blonde = function(self, item)
		vgg._data.blonde = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_lacop1 = function(self, item)
		vgg._data.lacop1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_lacop2 = function(self, item)
		vgg._data.lacop2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_lacop3 = function(self, item)
		vgg._data.lacop3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_lacop4 = function(self, item)
		vgg._data.lacop4 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_fem_undercover = function(self, item)
		vgg._data.fem_undercover = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_commissarr = function(self, item)
		vgg._data.commissarr = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_murk1 = function(self, item)
		vgg._data.murk1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_murk2 = function(self, item)
		vgg._data.murk2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_murk3 = function(self, item)
		vgg._data.murk3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	--DS+
	MenuCallbackHandler.callback_ene_deathvox_blackdozer = function(self, item)
		vgg._data.ene_deathvox_blackdozer = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_cloaker = function(self, item)
		vgg._data.ene_deathvox_cloaker = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_gman = function(self, item)
		vgg._data.ene_deathvox_gman = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_gman_noflashlight = function(self, item)
		vgg._data.ene_deathvox_gman_noflashlight = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_greendozer = function(self, item)
		vgg._data.ene_deathvox_greendozer = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_grenadier = function(self, item)
		vgg._data.ene_deathvox_grenadier = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_guard = function(self, item)
		vgg._data.ene_deathvox_guard = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_guarddozer = function(self, item)
		vgg._data.ene_deathvox_guarddozer = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_heavyar = function(self, item)
		vgg._data.ene_deathvox_heavyar = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_heavyshot = function(self, item)
		vgg._data.ene_deathvox_heavyshot = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_lightar = function(self, item)
		vgg._data.ene_deathvox_lightar = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_lightshot = function(self, item)
		vgg._data.ene_deathvox_lightshot = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_lmgdozer = function(self, item)
		vgg._data.ene_deathvox_lmgdozer = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_medic = function(self, item)
		vgg._data.ene_deathvox_medic = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_medicdozer = function(self, item)
		vgg._data.ene_deathvox_medicdozer = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_shield = function(self, item)
		vgg._data.ene_deathvox_shield = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_sniper_assault = function(self, item)
		vgg._data.ene_deathvox_sniper_assault = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_deathvox_taser = function(self, item)
		vgg._data.ene_deathvox_taser = (item:value() == "on" and true or false)
		vgg:Save()
	end
	-- i hate murkywater
	MenuCallbackHandler.callback_ene_mwr_city_heavy_g36 = function(self, item)
		vgg._data.ene_mwr_city_heavy_g36 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_city_heavy_r870 = function(self, item)
		vgg._data.ene_mwr_city_heavy_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_city_shield = function(self, item)
		vgg._data.ene_mwr_city_shield = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_city_swat_1 = function(self, item)
		vgg._data.ene_mwr_city_swat_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_city_swat_2 = function(self, item)
		vgg._data.ene_mwr_city_swat_2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_city_swat_3 = function(self, item)
		vgg._data.ene_mwr_city_swat_3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_cloaker = function(self, item)
		vgg._data.ene_mwr_cloaker = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_dozer_1 = function(self, item)
		vgg._data.ene_mwr_dozer_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_dozer_2 = function(self, item)
		vgg._data.ene_mwr_dozer_2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_dozer_3 = function(self, item)
		vgg._data.ene_mwr_dozer_3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_fbi_heavy_1 = function(self, item)
		vgg._data.ene_mwr_fbi_heavy_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_fbi_heavy_r870 = function(self, item)
		vgg._data.ene_mwr_fbi_heavy_r870 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_fbi_swat_1 = function(self, item)
		vgg._data.ene_mwr_fbi_swat_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_fbi_swat_2 = function(self, item)
		vgg._data.ene_mwr_fbi_swat_2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_groundsniper_1 = function(self, item)
		vgg._data.ene_mwr_groundsniper_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_groundsniper_2 = function(self, item)
		vgg._data.ene_mwr_groundsniper_2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_medic = function(self, item)
		vgg._data.ene_mwr_medic = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_shield_1 = function(self, item)
		vgg._data.ene_mwr_shield_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_shield_2 = function(self, item)
		vgg._data.ene_mwr_shield_2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_swat_1 = function(self, item)
		vgg._data.ene_mwr_swat_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_swat_2 = function(self, item)
		vgg._data.ene_mwr_swat_2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_swat_heavy_1 = function(self, item)
		vgg._data.ene_mwr_swat_heavy_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_taser_1 = function(self, item)
		vgg._data.ene_mwr_taser_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_mwr_taser_2 = function(self, item)
		vgg._data.ene_mwr_taser_2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_ntl_benelli = function(self, item)
		vgg._data.ene_ntl_benelli = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_ntl_groundsniper = function(self, item)
		vgg._data.ene_ntl_groundsniper = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_ntl_heavyshotgun = function(self, item)
		vgg._data.ene_ntl_heavyshotgun = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_ntl_heavyswat = function(self, item)
		vgg._data.ene_ntl_heavyswat = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_ntl_medic = function(self, item)
		vgg._data.ene_ntl_medic = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_ntl_shield = function(self, item)
		vgg._data.ene_ntl_shield = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_ntl_swat_1 = function(self, item)
		vgg._data.ene_ntl_swat_1 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_ntl_swat_2 = function(self, item)
		vgg._data.ene_ntl_swat_2 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_ntl_swat_3 = function(self, item)
		vgg._data.ene_ntl_swat_3 = (item:value() == "on" and true or false)
		vgg:Save()
	end
	MenuCallbackHandler.callback_ene_ntl_taser = function(self, item)
		vgg._data.ene_ntl_taser = (item:value() == "on" and true or false)
		vgg:Save()
	end
	
	MenuCallbackHandler.callback_dwinject = function(self, item)
		if SystemFS:exists("mods/Death Wish+/tweak_data/groupaitweakdata.lua") then
		filenames = { "mods/Death Wish+/tweak_data/groupaitweakdata.lua" }
			for _, fn in pairs( filenames ) do
			fp = io.open( fn, "r" )
			str = fp:read( "*all" )
			str = string.gsub( str, "if DW.settings.dw_enemy_toggle_value", "if vgg._data.vggtoggle == true or DW.settings.dw_enemy_toggle_value" )
			fp:close()
			fp = io.open( fn, "w+" )
			fp:write( str )
			fp:close()
			end
		end
	end

	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/vggmenu.txt", vgg, vgg._data )
	
	if SystemFS:exists("mods/PDTH enemies") or SystemFS:exists("mods/AI Group Selector") then
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/pdth.txt", vgg, vgg._data )
	end
	if SystemFS:exists("mods/deathvox-master") or SystemFS:exists("mods/deathvox") or SystemFS:exists("mods/crackdown") or SystemFS:exists("mods/deathvox-High-Tech") then
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/crackdown.txt", vgg, vgg._data )
	end
	if SystemFS:exists("mods/Death Wish+") and DW.settings.dw_enemy_toggle_value == true then
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/dw.txt", vgg, vgg._data )
	end
	if SystemFS:exists("mods/RestorationMod/lua/sc") and SC and SC._data.sc_ai_toggle or restoration and restoration.Options:GetValue("SC/SC") then
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/sc.txt", vgg, vgg._data )
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/scmurky.txt", vgg, vgg._data )
	end
	if SystemFS:exists("assets/mod_overrides/NewCoppers") then
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/nc.txt", vgg, vgg._data )
	end
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/guards.txt", vgg, vgg._data )
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/cops.txt", vgg, vgg._data )
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/specials.txt", vgg, vgg._data )
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/units.txt", vgg, vgg._data )
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/gangsters.txt", vgg, vgg._data )
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/allies.txt", vgg, vgg._data )
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/bosses.txt", vgg, vgg._data )
	MenuHelper:LoadFromJsonFile( vgg._path .. "menu/replacer.txt", vgg, vgg._data )
end )
vgg:Load()

if vgg._data.showweapon == nil then 
	vgg._data.showweapon = false
	vgg:Save()
end

if vgg._data.showweapon == false then 
	Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInit_vgg", function( loc )
		loc:load_localization_file( vgg._path .. "menu/localization_wep.txt")
	end)
else
	Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInit_vgg", function( loc )
		loc:load_localization_file( vgg._path .. "menu/localization.txt")
	end)
end

if vgg._data.vggtoggle == nil or vgg._data.package == nil or vgg._data.loudrep == nil or vgg._data.stealthrep == nil or vgg._data.civrep == nil or vgg._data.pagerscript == nil or vgg._data.pagerciv == nil then
	vgg._data.vggtoggle = true
	vgg._data.package = false
	vgg._data.loudrep = true
	vgg._data.stealthrep = true
	vgg._data.civrep = false
	vgg._data.pagerscript = false
	vgg._data.pagerciv = false
	vgg:Save()
end

if vgg._data.vggtoggle == true then
		
Hooks:Add("NetworkManagerOnPeerAdded", "NetworkManagerOnPeerAdded_HET", function(peer, peer_id)
	if Network:is_server() then
		DelayedCalls:Add("DelayedWarnModHET" .. tostring(peer_id), 2, function()
		local message = "Host is running: Enemy Replacer - Allow you to choose which units will only spawn"
		local peer2 = managers.network:session() and managers.network:session():peer(peer_id)
	if peer2 then
		peer2:send("send_chat_message", ChatManager.GAME, message)
	end
	end)
	end
	end)
	
if Global.load_level == true and vgg._data.loudrep == true then
Hooks:PostHook(GroupAITweakData, "_init_unit_categories", "VERYGITGUD_Tweak", function(gai, difficulty_index, ...)
    for k, v in pairs(gai.unit_categories or {}) do
		if v.unit_types and v.unit_types.america and v.unit_types.russia and k ~= "Phalanx_vip" and k ~= "Phalanx_minion" and k ~= "Cap_Spring" and k ~= "Cap_Summers" and k ~= "taser_summers" and k ~= "boom_summers" and k ~= "medic_summers" and k ~= "Tank_Titan" then
			gai.unit_categories[k].unit_types.america = {}
				--
				if vgg._data.ene_murkywater_secret_service == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vit/characters/ene_murkywater_secret_service/ene_murkywater_secret_service"))
				end
				if vgg._data.ene_shadow_cloaker_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_uno/characters/ene_shadow_cloaker_1/ene_shadow_cloaker_1"))
				end
				if vgg._data.ene_shadow_cloaker_2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_uno/characters/ene_shadow_cloaker_2/ene_shadow_cloaker_2"))
				end
				-- Vanilla Murky
				if vgg._data.ene_murkywater_cloaker == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_cloaker/ene_murkywater_cloaker"))
				end
				if vgg._data.ene_murkywater_medic == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_medic/ene_murkywater_medic"))
				end
				if vgg._data.ene_murkywater_tazer == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_tazer/ene_murkywater_tazer"))
				end
				if vgg._data.ene_murkywater_shield == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_shield/ene_murkywater_shield"))
				end
				if vgg._data.ene_murkywater_light == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_light/ene_murkywater_light"))
				end
				if vgg._data.ene_male_bain == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_male_bain/ene_male_bain"))
				end
				if vgg._data.ene_murkywater_sniper == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_sniper/ene_murkywater_sniper"))
				end
				if vgg._data.ene_murkywater_heavy_shotgun == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_heavy_shotgun/ene_murkywater_heavy_shotgun"))
				end
				if vgg._data.ene_murkywater_heavy_g36 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_heavy_g36/ene_murkywater_heavy_g36"))
				end
				if vgg._data.ene_murkywater_heavy == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_heavy/ene_murkywater_heavy"))
				end
				if vgg._data.ene_murkywater_bulldozer_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_1/ene_murkywater_bulldozer_1"))
				end
				if vgg._data.ene_murkywater_bulldozer_2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_2/ene_murkywater_bulldozer_2"))
				end
				if vgg._data.ene_murkywater_bulldozer_3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_3/ene_murkywater_bulldozer_3"))
				end
				if vgg._data.ene_murkywater_bulldozer_4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_4/ene_murkywater_bulldozer_4"))
				end
				if vgg._data.ene_murkywater_bulldozer_medic == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_medic/ene_murkywater_bulldozer_medic"))
				end
				--
				if vgg._data.bulldozer_min == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun/ene_bulldozer_minigun"))
				end
				if vgg._data.bulldozer_min == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun/ene_bulldozer_minigun"))
				end
				if vgg._data.bulldozer_min2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun_classic/ene_bulldozer_minigun_classic"))
				end
				if vgg._data.bulldozer_med == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_medic/ene_bulldozer_medic"))
				end
				
				if vgg._data.bulldozer1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_bulldozer_1/ene_bulldozer_1"))
				end
				if vgg._data.bulldozer2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_bulldozer_2/ene_bulldozer_2"))
				end
				if vgg._data.bulldozer3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_bulldozer_3/ene_bulldozer_3"))
				end
				if vgg._data.bulldozer4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_bulldozer_4/ene_bulldozer_4"))
				end
				
				if vgg._data.bulldozer_zeal1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer_2/ene_zeal_bulldozer_2"))
				end
				if vgg._data.bulldozer_zeal2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer_3/ene_zeal_bulldozer_3"))
				end
				if vgg._data.bulldozer_zeal3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer/ene_zeal_bulldozer"))
				end
				if vgg._data.bulldozer_zeal4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_help/characters/ene_zeal_bulldozer_halloween/ene_zeal_bulldozer_halloween"))
				end
				
				if vgg._data.bulldozer_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_tank_r870/ene_akan_fbi_tank_r870"))
				end
				if vgg._data.bulldozer_rpk == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_tank_rpk_lmg/ene_akan_fbi_tank_rpk_lmg")) 
				end
				if vgg._data.bulldozer_saiga == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_tank_saiga/ene_akan_fbi_tank_saiga"))
				end
				
				
				
				if vgg._data.shield1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_shield_1/ene_shield_1"))
				end
				if vgg._data.shield2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_shield_2/ene_shield_2"))
				end
				
				if vgg._data.zealshield == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_shield/ene_zeal_swat_shield"))
				end
				if vgg._data.shield_akan_dw_smg == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_shield_dw_sr2_smg/ene_akan_fbi_shield_dw_sr2_smg"))
				end
				if vgg._data.shield_akan_smg == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_shield_sr2_smg/ene_akan_fbi_shield_sr2_smg"))
				end
				if vgg._data.shield_akan_c45 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_shield_c45/ene_akan_cs_shield_c45"))
				end
				
				if vgg._data.shield_city == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_city_shield/ene_city_shield")) 
				end
				if vgg._data.phalanx == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_phalanx_1/ene_phalanx_1")) 
				end
				if vgg._data.vip == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_vip_1/ene_vip_1"))
				end
				
			 
				if vgg._data.sniper1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_sniper_1/ene_sniper_1"))
				end
				if vgg._data.sniper2 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_sniper_2/ene_sniper_2"))
				end
				if vgg._data.sniper_svd == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_swat_sniper_svd_snp/ene_akan_cs_swat_sniper_svd_snp"))
				end
				if vgg._data.sniper_zeal == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_drm/characters/ene_zeal_swat_heavy_sniper/ene_zeal_swat_heavy_sniper"))
				end
				if vgg._data.sniper3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_spa/characters/ene_sniper_3/ene_sniper_3"))
				end
				
			
				if vgg._data.cloak == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_spook_1/ene_spook_1"))
				end
				if vgg._data.cloak_zeal == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_cloaker/ene_zeal_cloaker"))
				end
				if vgg._data.cloak_asval == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_spooc_asval_smg/ene_akan_fbi_spooc_asval_smg"))
				end
				
			
				if vgg._data.tazer == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_tazer_1/ene_tazer_1"))
				end
				if vgg._data.tazer_ak47 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_tazer_ak47_ass/ene_akan_cs_tazer_ak47_ass"))
				end
				if vgg._data.tazer_zeal == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_tazer/ene_zeal_tazer"))
				end
				
			
				if vgg._data.medic_m4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_medic_m4/ene_medic_m4"))
				end
				if vgg._data.medic_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_medic_r870/ene_medic_r870")) 
				end
				if vgg._data.akan_medic_m4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_medic_ak47_ass/ene_akan_medic_ak47_ass")) 
				end
				if vgg._data.akan_medic_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_medic_r870/ene_akan_medic_r870")) 
				end

		
				if vgg._data.biker1 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_biker_1/ene_biker_1"))
				end
				if vgg._data.biker2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_biker_2/ene_biker_2")) 
				end
				if vgg._data.biker3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_biker_3/ene_biker_3"))
				end
				if vgg._data.biker4 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_biker_4/ene_biker_4")) 
				end
				if vgg._data.bikerboss == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_born/characters/ene_gang_biker_boss/ene_gang_biker_boss"))
				end
				if vgg._data.bikerfem1 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_born/characters/ene_biker_female_1/ene_biker_female_1")) 
				end
				if vgg._data.bikerfem2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_born/characters/ene_biker_female_2/ene_biker_female_2"))
				end
				if vgg._data.bikerfem3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_born/characters/ene_biker_female_3/ene_biker_female_3"))
				end

				
				if vgg._data.sosa == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_friend/characters/ene_drug_lord_boss/ene_drug_lord_boss"))
				end
				if vgg._data.sosamanager == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_friend/characters/ene_security_manager/ene_security_manager"))
				end
				if vgg._data.sosaind1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_friend/characters/ene_thug_indoor_01/ene_thug_indoor_01"))
				end
				if vgg._data.sosaind2 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_friend/characters/ene_thug_indoor_02/ene_thug_indoor_02"))
				end
				if vgg._data.sosaind3 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_friend/characters/ene_thug_indoor_03/ene_thug_indoor_03"))
				end
				if vgg._data.sosaind4 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_friend/characters/ene_thug_indoor_04/ene_thug_indoor_04"))
				end
				if vgg._data.sosastealth == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_friend/characters/ene_drug_lord_boss_stealth/ene_drug_lord_boss_stealth"))
				end
				if vgg._data.sosaout1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_friend/characters/ene_bolivian_thug_outdoor_01/ene_bolivian_thug_outdoor_01"))
				end
				if vgg._data.sosaout2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_friend/characters/ene_bolivian_thug_outdoor_02/ene_bolivian_thug_outdoor_02")) 
				end
				
				if vgg._data.mobster1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_mobster_1/ene_gang_mobster_1")) 
				end
				if vgg._data.mobster2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_mobster_2/ene_gang_mobster_2"))
				end
				if vgg._data.mobster3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_mobster_3/ene_gang_mobster_3")) 
				end
				if vgg._data.mobster4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_mobster_4/ene_gang_mobster_4")) 
				end
				if vgg._data.mobster_boss == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_mobster_boss/ene_gang_mobster_boss")) 
				end
				
		
				if vgg._data.guard1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_security_1/ene_security_1"))
				end
				if vgg._data.guard2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_security_2/ene_security_2"))
				end
				if vgg._data.guard3 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_security_3/ene_security_3"))
				end
				if vgg._data.guard4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_security_4/ene_security_4")) 
				end
				if vgg._data.guard5 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_security_5/ene_security_5"))
				end
				if vgg._data.guard6 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_security_6/ene_security_6"))
				end
				if vgg._data.guard7 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_security_7/ene_security_7"))
				end
				if vgg._data.guard8 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_security_8/ene_security_8"))
				end
				
				if vgg._data.guard_gen1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc1/characters/ene_security_gensec_1/ene_security_gensec_1"))
				end
				if vgg._data.guard_gen2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc1/characters/ene_security_gensec_2/ene_security_gensec_2")) 
				end
				
				if vgg._data.guard_arena1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_arena/characters/ene_guard_security_heavy_2/ene_guard_security_heavy_2"))
				end
				if vgg._data.guard_arena2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_arena/characters/ene_guard_security_heavy_1/ene_guard_security_heavy_1"))
				end
				
				if vgg._data.guard_fbi1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_secret_service_1/ene_secret_service_1"))
				end
				if vgg._data.guard_fbi2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_secret_service_2/ene_secret_service_2"))
				end
				
		
				if vgg._data.murky1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_murkywater_1/ene_murkywater_1")) 
				end
				if vgg._data.murky2 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_murkywater_2/ene_murkywater_2"))
				end
				if vgg._data.murkyday == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_berry/characters/ene_murkywater_no_light/ene_murkywater_no_light")) 
				end
				if vgg._data.locke == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_berry/characters/npc_locke/npc_locke"))
				end
				
		
				if vgg._data.prisonfem == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_prisonguard_female_1/ene_prisonguard_female_1")) 
				end
				if vgg._data.prisonmal == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_prisonguard_male_1/ene_prisonguard_male_1"))
				end
				if vgg._data.hoxton1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/npc_old_hoxton_prisonsuit_1/npc_old_hoxton_prisonsuit_1"))
				end
				
				if vgg._data.office1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_office_1/ene_fbi_office_1")) 
				end
				if vgg._data.office2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_office_2/ene_fbi_office_2"))
				end
				if vgg._data.office3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_office_3/ene_fbi_office_3")) 
				end
				if vgg._data.office4 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_office_4/ene_fbi_office_4"))
				end
				if vgg._data.hoxton2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/npc_old_hoxton_prisonsuit_2/npc_old_hoxton_prisonsuit_2")) 
				end
				
				if vgg._data.hector1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mcmansion/characters/ene_male_hector_1/ene_male_hector_1"))
				end
				if vgg._data.hector2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mcmansion/characters/ene_male_hector_2/ene_male_hector_2")) 
				end
				if vgg._data.hecguard2 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mcmansion/characters/ene_hoxton_breakout_guard_2/ene_hoxton_breakout_guard_2"))
				end
				if vgg._data.hecguard1 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mcmansion/characters/ene_hoxton_breakout_guard_1/ene_hoxton_breakout_guard_1"))
				end
				
		
				if vgg._data.russian1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_russian_1/ene_gang_russian_1"))
				end
				if vgg._data.russian2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_russian_2/ene_gang_russian_2")) 
				end
				if vgg._data.russian3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_russian_3/ene_gang_russian_3")) 
				end
				if vgg._data.russian4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_russian_4/ene_gang_russian_4"))
				end
				if vgg._data.russian5 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_russian_5/ene_gang_russian_5"))
				end
			
			
				if vgg._data.black1 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_black_1/ene_gang_black_1")) 
				end
				if vgg._data.black2 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_black_2/ene_gang_black_2"))
				end
				if vgg._data.black3 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_black_3/ene_gang_black_3"))
				end
				if vgg._data.black4 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_black_4/ene_gang_black_4")) 
				end
			
	
				if vgg._data.mex1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_mexican_1/ene_gang_mexican_1"))
				end
				if vgg._data.mex2 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_mexican_2/ene_gang_mexican_2")) 
				end
				if vgg._data.mex3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_mexican_3/ene_gang_mexican_3"))
				end
				if vgg._data.mex4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_gang_mexican_4/ene_gang_mexican_4")) 
				end
				if vgg._data.chavez == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_flat/characters/npc_chavez/npc_chavez")) 
				end
				if vgg._data.chavezbuddy == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_flat/characters/npc_jamaican/npc_jamaican"))
				end
				
		
				if vgg._data.cop1 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_cop_1/ene_cop_1"))
				end
				if vgg._data.cop2 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_cop_2/ene_cop_2"))
				end
				if vgg._data.cop3 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_cop_3/ene_cop_3")) 
				end
				if vgg._data.cop4 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_cop_4/ene_cop_4"))
				end
				
				if vgg._data.cop_ak47 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_cop_ak47_ass/ene_akan_cs_cop_ak47_ass"))
				end
				if vgg._data.cop_akmsu == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_cop_akmsu_smg/ene_akan_cs_cop_akmsu_smg"))
				end
				if vgg._data.cop_asval == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_cop_asval_smg/ene_akan_cs_cop_asval_smg")) 
				end
				if vgg._data.cop_r870 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_cop_r870/ene_akan_cs_cop_r870"))
				end
				
				
				if vgg._data.fbi1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_1/ene_fbi_1")) 
				end
				if vgg._data.fbi2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_2/ene_fbi_2"))
				end
				if vgg._data.fbi3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_3/ene_fbi_3")) 
				end
				
				if vgg._data.fbi_boss == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_boss_1/ene_fbi_boss_1")) 
				end
				if vgg._data.fbifem1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_female_1/ene_fbi_female_1"))
				end
				if vgg._data.fbifem2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_female_2/ene_fbi_female_2"))
				end
				if vgg._data.fbifem3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_female_3/ene_fbi_female_3")) 
				end
				if vgg._data.fbifem4 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_female_4/ene_fbi_female_4"))
				end
				
			
				if vgg._data.blue1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_swat_1/ene_swat_1"))
				end
				if vgg._data.blue2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_swat_2/ene_swat_2"))
				end
				if vgg._data.blue_heavy == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_swat_heavy_1/ene_swat_heavy_1")) 
				end
			
			
				if vgg._data.green_heavy == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_heavy_1/ene_fbi_heavy_1")) 
				end
				if vgg._data.green1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1")) 
				end
				if vgg._data.green2 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"))
				end
				if vgg._data.green_heavy_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_heavy_r870/ene_fbi_heavy_r870"))
				end
				
				if vgg._data.green_sm_g36 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_sm_heavy_g36/ene_sm_heavy_g36")) 
				end
				if vgg._data.green_sm_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_sm_heavy_r870/ene_sm_heavy_r870"))
				end

				if vgg._data.akan_fbi_g36 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_heavy_g36/ene_akan_fbi_heavy_g36"))
				end
				if vgg._data.akan_fbi_ak47 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_swat_ak47_ass/ene_akan_fbi_swat_ak47_ass"))
				end
				if vgg._data.akan_fbi_r870 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_swat_r870/ene_akan_fbi_swat_r870"))
				end
				
			
				if vgg._data.white1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_city_swat_1/ene_city_swat_1"))
				end
				if vgg._data.white2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2")) 
				end
				if vgg._data.white3 == true then 
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_city_swat_3/ene_city_swat_3"))
				end			
				
				if vgg._data.white_sm_g36 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_sm_swat_1/ene_sm_swat_1")) 
				end
				if vgg._data.white_sm_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_sm_swat_r870/ene_sm_swat_r870"))
				end
				
				if vgg._data.white_heavy_g36 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36")) 
				end
				if vgg._data.white_heavy_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870")) 
				end				
				
				if vgg._data.akan_cs_heavy_ak47 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_heavy_ak47_ass/ene_akan_cs_heavy_ak47_ass"))
				end
				if vgg._data.akan_dw_ak47 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_swat_dw_ak47_ass/ene_akan_fbi_swat_dw_ak47_ass"))
				end
				if vgg._data.akan_dw_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_swat_dw_r870/ene_akan_fbi_swat_dw_r870"))
				end
				if vgg._data.akan_cs_ak47 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_swat_ak47_ass/ene_akan_cs_swat_ak47_ass")) 
				end
				if vgg._data.akan_cs_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_swat_r870/ene_akan_cs_swat_r870"))
				end
				
		
				if vgg._data.zeal == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat/ene_zeal_swat"))
				end
				if vgg._data.zeal_heavy == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy/ene_zeal_swat_heavy"))
				end	
			
				if vgg._data.godcop == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_short/characters/ene_cop_2_shr/ene_cop_2_shr"))
				end
				if vgg._data.sec1_dom == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_short/characters/ene_security_1_undominatable/ene_security_1_undominatable"))
				end
				if vgg._data.sec2_dom == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_short/characters/ene_security_2_undominatable/ene_security_2_undominatable")) 
				end
				if vgg._data.sec3_dom == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_short/characters/ene_security_3_undominatable/ene_security_3_undominatable")) 
				end
				if vgg._data.secser_dom == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_short/characters/ene_secret_service_1_undominatable/ene_secret_service_1_undominatable")) 
				end
				if vgg._data.charon == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_spa/characters/npc_spa/npc_spa")) 
				end
				if vgg._data.guard_ggc == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_casino/characters/ene_secret_service_1_casino/ene_secret_service_1_casino"))
				end
				
				--Alaska
				if vgg._data.shipfem == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_wwh/characters/ene_female_crew/ene_female_crew"))
				end
				if vgg._data.shipmal1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_wwh/characters/ene_male_crew_01/ene_male_crew_01"))
				end
				if vgg._data.shipmal2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_wwh/characters/ene_male_crew_02/ene_male_crew_02"))
				end
				if vgg._data.captain == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_wwh/characters/ene_captain/ene_captain"))
				end
				if vgg._data.shiplocke == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_wwh/characters/ene_locke/ene_locke"))
				end
				
				--zombie
				if vgg._data.zomcop1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_cop_hvh_1/ene_cop_hvh_1"))
				end
				if vgg._data.zomcop2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_cop_hvh_2/ene_cop_hvh_2"))
				end
				if vgg._data.zomcop3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_cop_hvh_3/ene_cop_hvh_3"))
				end
				if vgg._data.zomcop4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_cop_hvh_4/ene_cop_hvh_4"))
				end
				if vgg._data.zomswat1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_swat_hvh_1/ene_swat_hvh_1"))
				end
				if vgg._data.zomswat2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_swat_hvh_2/ene_swat_hvh_2"))
				end
				if vgg._data.zomfbi1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_fbi_hvh_1/ene_fbi_hvh_1"))
				end
				if vgg._data.zomfbi2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_fbi_hvh_2/ene_fbi_hvh_2"))
				end
				if vgg._data.zomfbi3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_fbi_hvh_3/ene_fbi_hvh_3"))
				end
				if vgg._data.zomcloak == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_spook_hvh_1/ene_spook_hvh_1"))
				end
				if vgg._data.zomswat_heavy_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_swat_heavy_hvh_1/ene_swat_heavy_hvh_1"))
				end
				if vgg._data.zomswat_heavy_2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_swat_heavy_hvh_r870/ene_swat_heavy_hvh_r870"))
				end
				if vgg._data.zomtazer == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_tazer_hvh_1/ene_tazer_hvh_1"))
				end
				if vgg._data.zomshield1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_shield_hvh_1/ene_shield_hvh_1"))
				end
				if vgg._data.zomshield2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_shield_hvh_2/ene_shield_hvh_2"))
				end
				if vgg._data.zommed1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_medic_hvh_r870/ene_medic_hvh_r870"))
				end
				if vgg._data.zommed2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_medic_hvh_m4/ene_medic_hvh_m4"))
				end
				if vgg._data.zombull1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_bulldozer_hvh_1/ene_bulldozer_hvh_1"))
				end
				if vgg._data.zombull2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_bulldozer_hvh_2/ene_bulldozer_hvh_2"))
				end
				if vgg._data.zombull3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_bulldozer_hvh_3/ene_bulldozer_hvh_3"))
				end
				if vgg._data.zomfbiswat1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_fbi_swat_hvh_1/ene_fbi_swat_hvh_1"))
				end
				if vgg._data.zomfbiswat2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_fbi_swat_hvh_2/ene_fbi_swat_hvh_2"))
				end
				if vgg._data.zomfbiswat_heavy1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_fbi_heavy_hvh_1/ene_fbi_heavy_hvh_1"))
				end
				if vgg._data.zomfbiswat_heavy2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_fbi_heavy_hvh_r870/ene_fbi_heavy_hvh_r870"))
				end
				if vgg._data.zomsniper == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_hvh/characters/ene_sniper_hvh_2/ene_sniper_hvh_2"))
				end
				
				--dogs
				if vgg._data.blonde == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_rvd/characters/npc_mr_blonde/npc_mr_blonde"))
				end
				if vgg._data.lacop1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_rvd/characters/ene_la_cop_1/ene_la_cop_1"))
				end
				if vgg._data.lacop2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_rvd/characters/ene_la_cop_2/ene_la_cop_2"))
				end
				if vgg._data.lacop3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_rvd/characters/ene_la_cop_3/ene_la_cop_3"))
				end
				if vgg._data.lacop4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_rvd/characters/ene_la_cop_4/ene_la_cop_4"))
				end
				if vgg._data.fem_undercover == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_rvd/characters/ene_female_civ_undercover/ene_female_civ_undercover"))
				end
				if vgg._data.commissarr == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_tag/characters/ene_male_commissioner/ene_male_commissioner"))
				end
				if vgg._data.murk1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_des/characters/ene_murkywater_no_light_not_security/ene_murkywater_no_light_not_security"))
				end
				if vgg._data.murk2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_des/characters/ene_murkywater_not_security_1/ene_murkywater_not_security_1"))
				end
				if vgg._data.murk3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_des/characters/ene_murkywater_not_security_2/ene_murkywater_not_security_2"))
				end
				
				
				if SystemFS:exists("mods/RestorationMod/lua/sc") and SC and SC._data.sc_ai_toggle or restoration and restoration.Options:GetValue("SC/SC") then
				
					if vgg._data.scbull_hw == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_bulldozer_2_hw/ene_bulldozer_2_hw"))
					end
					if vgg._data.sccivilcop == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_cop_civ_1/ene_cop_civ_1")) 
					end
					if vgg._data.scfbi3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_swat_3/ene_fbi_swat_3"))
					end
					if vgg._data.scboom == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_grenadier_1/ene_grenadier_1"))
					end
					if vgg._data.scmedicmp5 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_medic_mp5/ene_medic_mp5")) 
					end
					if vgg._data.scshield_gen == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_shield_gensec/ene_shield_gensec"))
					end
					if vgg._data.scveteran1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_veteran_cop_1/ene_veteran_cop_1")) 
					end
					if vgg._data.scveteran2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_veteran_cop_2/ene_veteran_cop_2"))
					end
					
					if vgg._data.sczeal_city1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_city_1/ene_zeal_city_1"))
					end
					if vgg._data.scshield_heavyzeal == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_heavy_shield/ene_zeal_heavy_shield"))
					end
					
					if vgg._data.scakan_zeal == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_cs_swat_zeal/ene_akan_cs_swat_zeal"))
					end
					if vgg._data.scakan_fbi1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_1/ene_akan_fbi_1"))
					end
					if vgg._data.scakan_fbi2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_2/ene_akan_fbi_2")) 
					end
					if vgg._data.scakan_heavdw1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_heavy_dw/ene_akan_fbi_heavy_dw"))
					end
					if vgg._data.scakan_heavdw2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_heavy_dw_r870/ene_akan_fbi_heavy_dw_r870"))
					end
					if vgg._data.scakan_dw1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_swat_dw_ump/ene_akan_fbi_swat_dw_ump"))
					end
					if vgg._data.scakan_dw2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_fbi_swat_ump/ene_akan_fbi_swat_ump"))
					end
					if vgg._data.scakan_boom == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_grenadier_1/ene_akan_grenadier_1"))
					end
					if vgg._data.scakan_medm4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_medic_m4/ene_akan_medic_m4"))
					end
					if vgg._data.scakan_medr880 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_medic_r870/ene_akan_medic_r870")) 
					end
					if vgg._data.scakan_veteran == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_veteran_1/ene_akan_veteran_1"))
					end
					if vgg._data.scakan_veteran2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_mad/characters/ene_akan_veteran_2/ene_akan_veteran_2"))
					end
					
					if vgg._data.sconmia == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_omnia_lpf/ene_omnia_lpf")) 
					end
					if vgg._data.scboss_boom == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_phalanx_grenadier/ene_phalanx_grenadier"))
					end
					if vgg._data.scboss_medic == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_phalanx_medic/ene_phalanx_medic")) 
					end
					if vgg._data.scboss_taser == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_phalanx_taser/ene_phalanx_taser"))
					end
					if vgg._data.scboss_minigun == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_spring/ene_spring")) 
					end
					if vgg._data.scboss_fire == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_summers/ene_summers")) 
					end
					if vgg._data.sctitan == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_titan_shotgun/ene_titan_shotgun"))
					end
					if vgg._data.scboss_vip2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_vip_2/ene_vip_2"))
					end
					
					if vgg._data.scphalanx == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_phalanx_1_assault/ene_phalanx_1_assault"))
					end
					if vgg._data.sctitan_rifle == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_titan_rifle/ene_titan_rifle"))
					end
					if vgg._data.scvip2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_vip_2_assault/ene_vip_2_assault"))
					end
					if vgg._data.bullbiker == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_bulldozer_biker_1/ene_bulldozer_biker_1"))
					end
					if vgg._data.bikerguard == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_guard_biker_1/ene_guard_biker_1"))
					end
					if vgg._data.scfbi3_sc == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_3_sc/ene_fbi_3_sc"))
					end
					if vgg._data.sccloak == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_spook_cloak_1/ene_spook_cloak_1"))
					end
					
					if vgg._data.scfbititan == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_fbi_titan_1/ene_fbi_titan_1"))
					end
					if vgg._data.sctitan_sniper == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_vip/characters/ene_titan_sniper/ene_titan_sniper"))
					end
					if vgg._data.scomnia_city == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_omnia/characters/ene_omnia_city/ene_omnia_city"))
					end
					if vgg._data.sc_omniaheavy == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_omnia/characters/ene_omnia_heavy/ene_omnia_heavy"))
					end
					if vgg._data.scboom2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_grenadier_1/ene_grenadier_1"))
					end
					
				
					
					-- MURKY
					
					if vgg._data.ene_murky_city_bnl == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_city_bnl/ene_murky_city_bnl"))
					end
					if vgg._data.ene_murky_city_m4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_city_m4/ene_murky_city_m4"))
					end
					if vgg._data.ene_murky_city_ump == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_city_ump/ene_murky_city_ump"))
					end
					if vgg._data.ene_murky_cs_cop_c45 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_cs_cop_c45/ene_murky_cs_cop_c45"))
					end
					if vgg._data.ene_murky_cs_cop_mp5 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_cs_cop_mp5/ene_murky_cs_cop_mp5"))
					end
					if vgg._data.ene_murky_cs_cop_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_cs_cop_r870/ene_murky_cs_cop_r870"))
					end
					if vgg._data.ene_murky_cs_cop_raging_bull == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_cs_cop_raging_bull/ene_murky_cs_cop_raging_bull"))
					end
					if vgg._data.ene_murky_fbi_heavy_m4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_fbi_heavy_m4/ene_murky_fbi_heavy_m4"))
					end
					if vgg._data.ene_murky_fbi_heavy_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_fbi_heavy_r870/ene_murky_fbi_heavy_r870"))
					end
					if vgg._data.ene_murky_fbi_tank_m249 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_fbi_tank_m249/ene_murky_fbi_tank_m249"))
					end
					if vgg._data.ene_murky_fbi_tank_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_fbi_tank_r870/ene_murky_fbi_tank_r870"))
					end
					if vgg._data.ene_murky_fbi_tank_saiga == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_fbi_tank_saiga/ene_murky_fbi_tank_saiga"))
					end
					if vgg._data.ene_murky_heavy_m4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_heavy_m4/ene_murky_heavy_m4"))
					end
					if vgg._data.ene_murky_heavy_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_heavy_r870/ene_murky_heavy_r870"))
					end
					if vgg._data.ene_murky_heavy_ump == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_heavy_ump/ene_murky_heavy_ump"))
					end
					if vgg._data.ene_murky_hrt_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_hrt_1/ene_murky_hrt_1"))
					end
					if vgg._data.ene_murky_hrt_2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_hrt_2/ene_murky_hrt_2"))
					end
					if vgg._data.ene_murky_medic_m4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_medic_m4/ene_murky_medic_m4"))
					end
					if vgg._data.ene_murky_medic_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_medic_r870/ene_murky_medic_r870"))
					end
					if vgg._data.ene_murky_shield_fbi == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_shield_fbi/ene_murky_shield_fbi"))
					end
					if vgg._data.ene_murky_shield_yellow == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_shield_yellow/ene_murky_shield_yellow"))
					end
					if vgg._data.ene_murky_sniper == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_sniper/ene_murky_sniper"))
					end
					if vgg._data.ene_murky_spook == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_spook/ene_murky_spook"))
					end
					if vgg._data.ene_murky_swat_m4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_swat_m4/ene_murky_swat_m4"))
					end
					if vgg._data.ene_murky_swat_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_swat_r870/ene_murky_swat_r870"))
					end
					if vgg._data.ene_murky_tazer == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_tazer/ene_murky_tazer"))
					end
					if vgg._data.ene_murky_yellow_m4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_yellow_m4/ene_murky_yellow_m4"))
					end
					if vgg._data.ene_murky_yellow_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_sharks/characters/ene_murky_yellow_r870/ene_murky_yellow_r870"))
					end
				end
				
				if SystemFS:exists("assets/mod_overrides/NewCoppers") then
					
					if vgg._data.nwdhs1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_dhs_1/ene_dhs_1"))
					end
					if vgg._data.nwdhs2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_dhs_2/ene_dhs_2"))
					end
					if vgg._data.nwdhs3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_dhs_3/ene_dhs_3"))
					end
					if vgg._data.nwdhs4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_dhs_4/ene_dhs_4"))
					end
					if vgg._data.nwwhite4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_city_swat_4/ene_city_swat_4"))
					end
					if vgg._data.nwfbi4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_fbi_4/ene_fbi_4")) 
					end
					if vgg._data.nwfbi5 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_fbi_5/ene_fbi_5")) 
					end
					if vgg._data.nwfisher == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_fisher_1/ene_fisher_1"))
					end
					if vgg._data.nwgunner1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_gensec_heavygunner/ene_gensec_heavygunner")) 
					end
					if vgg._data.nwgunner2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_gensec_heavygunner2/ene_gensec_heavygunner2")) 
					end
					if vgg._data.nwsgt == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_gensec_sgt/ene_gensec_sgt")) 
					end
					if vgg._data.nwsniper1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_groundsniper_1/ene_groundsniper_1"))
					end
					if vgg._data.nwsniper2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_groundsniper_2/ene_groundsniper_2")) 
					end
					if vgg._data.nwheavymed == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_heavymedic_1/ene_heavymedic_1")) 
					end
					if vgg._data.nwheavycloak == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_hvyspooc_1/ene_hvyspooc_1")) 
					end
					if vgg._data.nwgunner3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_police_heavygunner/ene_police_heavygunner")) 
					end
					if vgg._data.nwtaser1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_tazer_2/ene_tazer_2")) 
					end
					if vgg._data.nwtaser2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_zeal_taser/ene_zeal_taser")) 
					end
					if vgg._data.nwmedic1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_zeal_medic/ene_zeal_medic")) 
					end
					if vgg._data.nwmedic2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_zeal_medic_shtgn/ene_zeal_medic_shtgn")) 
					end
					if vgg._data.ene_mwr_city_heavy_g36 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_city_heavy_g36/ene_mwr_city_heavy_g36")) 
					end
					if vgg._data.ene_mwr_city_heavy_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_city_heavy_r870/ene_mwr_city_heavy_r870")) 
					end
					if vgg._data.ene_mwr_city_shield == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_city_shield/ene_mwr_city_shield")) 
					end
					if vgg._data.ene_mwr_city_swat_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_city_swat_1/ene_mwr_city_swat_1")) 
					end
					if vgg._data.ene_mwr_city_swat_2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_city_swat_2/ene_mwr_city_swat_2")) 
					end
					if vgg._data.ene_mwr_city_swat_3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_city_swat_3/ene_mwr_city_swat_3")) 
					end
					if vgg._data.ene_mwr_cloaker == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_cloaker/ene_mwr_cloaker")) 
					end
					if vgg._data.ene_mwr_dozer_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_dozer_1/ene_mwr_dozer_1")) 
					end
					if vgg._data.ene_mwr_dozer_2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_dozer_2/ene_mwr_dozer_2")) 
					end
					if vgg._data.ene_mwr_dozer_3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_dozer_3/ene_mwr_dozer_3")) 
					end
					if vgg._data.ene_mwr_fbi_heavy_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_fbi_heavy_1/ene_mwr_fbi_heavy_1")) 
					end
					if vgg._data.ene_mwr_fbi_heavy_r870 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_fbi_heavy_r870/ene_mwr_fbi_heavy_r870")) 
					end
					if vgg._data.ene_mwr_fbi_swat_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_fbi_swat_1/ene_mwr_fbi_swat_1")) 
					end
					if vgg._data.ene_mwr_fbi_swat_2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_fbi_swat_2/ene_mwr_fbi_swat_2")) 
					end
					if vgg._data.ene_mwr_groundsniper_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_groundsniper_1/ene_mwr_groundsniper_1")) 
					end
					if vgg._data.ene_mwr_groundsniper_2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_groundsniper_2/ene_mwr_groundsniper_2")) 
					end
					if vgg._data.ene_mwr_medic == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_medic/ene_mwr_medic")) 
					end
					if vgg._data.ene_mwr_shield_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_shield_1/ene_mwr_shield_1")) 
					end
					if vgg._data.ene_mwr_shield_2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_shield_2/ene_mwr_shield_2")) 
					end
					if vgg._data.ene_mwr_swat_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_swat_1/ene_mwr_swat_1")) 
					end
					if vgg._data.ene_mwr_swat_2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_swat_2/ene_mwr_swat_2")) 
					end
					if vgg._data.ene_mwr_swat_heavy_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_swat_heavy_1/ene_mwr_swat_heavy_1")) 
					end
					if vgg._data.ene_mwr_taser_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_taser_1/ene_mwr_taser_1")) 
					end
					if vgg._data.ene_mwr_taser_2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_nc/ene_mwr_taser_2/ene_mwr_taser_2")) 
					end
					
					if vgg._data.ene_ntl_benelli == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_ng/ene_ntl_benelli/ene_ntl_benelli")) 
					end
					if vgg._data.ene_ntl_groundsniper == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_ng/ene_ntl_groundsniper/ene_ntl_groundsniper")) 
					end
					if vgg._data.ene_ntl_heavyshotgun == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_ng/ene_ntl_heavyshotgun/ene_ntl_heavyshotgun")) 
					end
					if vgg._data.ene_ntl_heavyswat == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_ng/ene_ntl_heavyswat/ene_ntl_heavyswat")) 
					end
					if vgg._data.ene_ntl_medic == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_ng/ene_ntl_medic/ene_ntl_medic")) 
					end
					if vgg._data.ene_ntl_shield == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_ng/ene_ntl_shield/ene_ntl_shield")) 
					end
					if vgg._data.ene_ntl_swat_1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_ng/ene_ntl_swat_1/ene_ntl_swat_1")) 
					end
					if vgg._data.ene_ntl_swat_2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_ng/ene_ntl_swat_2/ene_ntl_swat_2")) 
					end
					if vgg._data.ene_ntl_swat_3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_ng/ene_ntl_swat_3/ene_ntl_swat_3")) 
					end
					if vgg._data.ene_ntl_taser == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_ng/ene_ntl_taser/ene_ntl_taser")) 
					end
					
				
				end	
				
				
				if SystemFS:exists("mods/PDTH enemies") or SystemFS:exists("mods/AI Group Selector") then
				
					if vgg._data.thcop1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/cop/cop"))
					end
					if vgg._data.thcop2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/cop2/cop2"))
					end
					if vgg._data.thcop3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/cop3/cop3"))
					end
					if vgg._data.thfbi1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/fbi1/fbi1"))
					end
					if vgg._data.thfbi2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/fbi2/fbi2"))
					end
					if vgg._data.thfbi3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/fbi3/fbi3"))
					end
					if vgg._data.thmurky1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/murky_water1/murky_water1"))
					end
					if vgg._data.thmurky2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/murky_water2/murky_water2"))
					end
					if vgg._data.thguard1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/security/security_guard_01"))
					end
					if vgg._data.thguard2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/security/security_guard_02"))
					end
					if vgg._data.thshield == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/shield/shield"))
					end
					if vgg._data.thsniper == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/sniper/sniper"))
					end
					if vgg._data.thcloak == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/spooc/spooc"))
					end
					if vgg._data.thswat1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/swat/swat"))
					end
					if vgg._data.thswatkev1 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/swat_kevlar1/swat_kevlar1"))
					end
					if vgg._data.thswatkev2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/swat_kevlar2/swat_kevlar2"))
					end
					if vgg._data.thswat2 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/swat2/swat2"))
					end
					if vgg._data.thswat3 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/swat3/swat3"))
					end
					if vgg._data.thbull == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/tank/tank"))
					end
					if vgg._data.thtaser == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/characters/enemies/taser/taser"))
					end
					
				end
				
				if SystemFS:exists("mods/Death Wish+") and DW.settings.dw_enemy_toggle_value == true then
					if vgg._data.dwbull5 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_bulldozer_5/ene_bulldozer_5"))
					end
					if vgg._data.dwbull6 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_bulldozer_6/ene_bulldozer_6"))
					end
					if vgg._data.dwbull7 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_bulldozer_7/ene_bulldozer_7"))
					end
					if vgg._data.dwwhite4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_city_swat_4/ene_city_swat_4"))
					end
					if vgg._data.dwfbi4 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_fbi_4/ene_fbi_4"))
					end
					if vgg._data.dwphalanx == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_phalanx_2/ene_phalanx_2"))
					end
					if vgg._data.dwtaser == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/payday2/characters/ene_tazer_2/ene_tazer_2"))
					end
					
					if vgg._data.dwzealben == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_benelli/ene_zeal_swat_heavy_benelli"))
					end
					if vgg._data.dwzealjp36 == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_g36/ene_zeal_swat_heavy_g36"))
					end
					if vgg._data.dwzealscar == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_scar/ene_zeal_swat_heavy_scar"))
					end
					if vgg._data.dwzealump == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_ump/ene_zeal_swat_heavy_ump"))
					end
					if vgg._data.dwphalanx_zeal == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_phalanx/ene_zeal_swat_phalanx"))
					end
					if vgg._data.dwzealdoz_ben == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zealdozer_benelli/ene_zealdozer_benelli"))
					end
					if vgg._data.dwzealdoz_ksp == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zealdozer_m249/ene_zealdozer_m249"))
					end
					if vgg._data.dwzealdoz_saiga == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zealdozer_saiga/ene_zealdozer_saiga"))
					end
					if vgg._data.dwzealdoz_titan == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_dlc_gitgud/characters/ene_zealdozer_titan/ene_zealdozer_titan"))
					end
				end
				
				if SystemFS:exists("mods/deathvox-master") or SystemFS:exists("mods/deathvox") or SystemFS:exists("mods/crackdown") or SystemFS:exists("mods/deathvox-High-Tech") then
					if vgg._data.ene_deathvox_blackdozer == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_blackdozer/ene_deathvox_blackdozer"))
					end
					if vgg._data.ene_deathvox_cloaker == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_cloaker/ene_deathvox_cloaker"))
					end
					if vgg._data.ene_deathvox_gman == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_gman/ene_deathvox_gman"))
					end
					if vgg._data.ene_deathvox_gman_noflashlight == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_gman_noflashlight/ene_deathvox_gman_noflashlight"))
					end
					if vgg._data.ene_deathvox_greendozer == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_greendozer/ene_deathvox_greendozer"))
					end
					if vgg._data.ene_deathvox_grenadier == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_grenadier/ene_deathvox_grenadier"))
					end
					if vgg._data.ene_deathvox_guard == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_guard/ene_deathvox_guard"))
					end
					if vgg._data.ene_deathvox_guarddozer == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_guarddozer/ene_deathvox_guarddozer"))
					end
					if vgg._data.ene_deathvox_heavyar == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_heavyar/ene_deathvox_heavyar"))
					end
					if vgg._data.ene_deathvox_heavyshot == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_heavyshot/ene_deathvox_heavyshot"))
					end
					if vgg._data.ene_deathvox_lightar == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_lightar/ene_deathvox_lightar"))
					end
					if vgg._data.ene_deathvox_lightshot == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_lightshot/ene_deathvox_lightshot"))
					end
					if vgg._data.ene_deathvox_lmgdozer == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_lmgdozer/ene_deathvox_lmgdozer"))
					end
					if vgg._data.ene_deathvox_medic == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_medic/ene_deathvox_medic"))
					end
					if vgg._data.ene_deathvox_medicdozer == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_medicdozer/ene_deathvox_medicdozer"))
					end
					if vgg._data.ene_deathvox_shield == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_shield/ene_deathvox_shield"))
					end
					if vgg._data.ene_deathvox_sniper_assault == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_sniper_assault/ene_deathvox_sniper_assault"))
					end
					if vgg._data.ene_deathvox_taser == true then
					table.insert(gai.unit_categories[k].unit_types.america, Idstring("units/pd2_mod_gageammo/characters/ene_deathvox_taser/ene_deathvox_taser"))
					end
				
				end
				gai.unit_categories[k].unit_types.russia = gai.unit_categories[k].unit_types.america
				gai.unit_categories[k].unit_types.zombie = gai.unit_categories[k].unit_types.america
				gai.unit_categories[k].unit_types.murkywater = gai.unit_categories[k].unit_types.america
			end
		end
end )
end
end